POST Search Coupon Redemptions
POST /sites/{site_id}/coupon_redemption_search
Operation ID: Search Coupon Redemptions. Tags: sites. Security: oauth2_application.
Searches for coupon redemptions.
The Coupon Redemption Search document contains a search object that allows filtering on various attributes.
The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:
-
code - String
-
coupon_id - String
-
customer_email - String
-
order_no - String
Note that only searchable attributes can be used in sorting.
If the role to which the user belongs does not have View_Coupon_Codes permission, then the coupon codes returned will be masked.
This endpoint may return the following faults:
- 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
Parameters
site_id(path, string, required) The site context.
Minimum length: 1.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
MalformedSearchParameterException- Thrown if the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:coupon_redemption_search_result.